/*
 *  Copyright 2010 Chet Haase
 *	
 *	Licensed under the Apache License, Version 2.0 (the "License");
 *	you may not use this file except in compliance with the License.
 *	You may obtain a copy of the License at
 *	
 *	http://www.apache.org/licenses/LICENSE-2.0
 *	
 *	Unless required by applicable law or agreed to in writing, software
 *	distributed under the License is distributed on an "AS IS" BASIS,
 *	WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *	See the License for the specific language governing permissions and
 *	limitations under the License.
 */
package utils
{
import flash.events.Event;

import spark.effects.animation.Animation;

public class AnimationEvent extends Event
{
    public static const START:String = "start";
    public static const STOP:String = "stop";
    public static const END:String = "end";
    public static const REPEAT:String = "repeat";
    public static const UPDATE:String = "update";

    private var _animation:Animation;
    
    public function AnimationEvent(type:String, animation:Animation, bubbles:Boolean=false, cancelable:Boolean=false)
    {
        super(type, bubbles, cancelable);
        _animation = animation;
    }
    
    public function get animation():Animation
    {
        return _animation;
    }
    
}
}